var
    x, y, tx, ty: longint;
begin
    assign(input, 'pluk.in'); reset(input);
    assign(output, 'pluk.out'); rewrite(output);

    read(x, y, tx, ty);

    while abs(x - tx) + abs(y - ty) > 1 do begin
        if tx < x then begin
            if (ty < y) then begin
                writeln('-B');
                writeln('+A');
                dec(x);
                dec(y);
            end else begin
                writeln('+B');
                writeln('-A');
                dec(x);
                inc(y);
            end;
        end else begin
            if (ty < y) then begin
                writeln('+A');
                writeln('-B');
                inc(x);
                dec(y);
            end else begin
                writeln('-A');
                writeln('+B');
                inc(x);
                inc(y);
            end;
        end;
    end;

    close(input);
    close(output);
end.